/**************************************************************************
/* This class is part of the Java Plotlib Toolkit.
/*
/* Copyright (c) 1999-2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Library General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/
package de.bablokb.plotlib.core;

import java.awt.geom.*;

/**
   A properties-object for grid properties and methods
   to handle these properties.

   @version $Revision: 1.4 $
   @author  $Author: bablokb $
*/

public class GridProperties extends BasicProperties {

  /////////////////////////////////////////////////////////////////////////////

  /**
     Orientation of the lines forming the grid.
  */

  private int iOrientation = Plotlib.HORIZONTAL;

  /////////////////////////////////////////////////////////////////////////////

  /**
     Default constructor.
  */

  public GridProperties() {
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Constructor with base object.
  */

  public GridProperties(BasicProperties base) {
    super(base);
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Set the orientation of the lines.
  */

  public void setOrientation(int o) {
    iOrientation = o;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Query the orientation of the lines.
  */

  public int getOrientation() {
    return iOrientation;
  }
}
