/**************************************************************************
/* This class is part of the Java Plotlib Toolkit.
/*
/* Copyright (c) 1999-2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Library General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/
package de.bablokb.plotlib.core;

/**
   A properties-object for symbol properties and methods
   to handle these properties.

   @version $Revision: 1.2 $
   @author  $Author: bablokb $
*/

public class SymbolProperties extends BasicProperties {

  /**
     Size of the symbols. The size is interpreted in
     device units.
  */

  private int iSize = Plotlib.SMALL;

  /////////////////////////////////////////////////////////////////////////////

  /**
     Type of the symbols.
  */

  private int iType = Plotlib.CIRCLE;

  /////////////////////////////////////////////////////////////////////////////

  /**
     Default constructor.
  */

  public SymbolProperties() {
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Constructor with base object.
  */

  public SymbolProperties(BasicProperties base) {
    super(base);
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Set size of Symbols.
  */

  public void setSize(int size) {
    iSize = size;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Set type of Symbols.
  */

  public void setSymbolType(int type) {
    iType = type;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Get size of Symbols.
  */

  public int getSize() {
    return iSize;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Set type of Symbols.
  */

  public int getSymbolType() {
    return iType;
  }
}
