/**************************************************************************
/* This class is part of the Java Plotlib Toolkit.
/*
/* Copyright (c) 1999-2004 by Bernhard Bablok (bablokb@gmx.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Library General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/
package de.bablokb.plotlib.plot;

import java.util.*;
import java.awt.*;
import java.awt.geom.*;
import de.bablokb.plotlib.core.*;
import de.bablokb.plotlib.data.*;

/**
   Base class of all plots using a dataset as source.

   @version $Revision: 1.3 $
   @author  $Author: bablokb $
*/

public abstract class DataPlot extends AbstractPlottable {
  
  /**
     The dataset.
  */

  protected Dataset iData = null;

  //////////////////////////////////////////////////////////////////////////////

  /**
     Construct a DataPlot-object without data.
  */

  public DataPlot() {
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Construct a DataPlot-object from a given dataset.
  */

  public DataPlot(Dataset data) {
    iData = data;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Set the data to the given dataset.
  */

  public void setData(Dataset data) {
    iData = data;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Query the dataset.
  */

  public Dataset getData() {
    return iData;
  }
}
