/**************************************************************************
/* This class is part of the Java Plotlib Toolkit.
/*
/* Copyright (c) 1999-2004 by Bernhard Bablok (bablokb@gmx.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Library General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/
package de.bablokb.plotlib.test;

import java.awt.geom.*;
import de.bablokb.plotlib.plot.*;

/**
   Example-Function NormalDensity.

   @version $Revision: 1.3 $
   @author  $Author: bablokb $
*/

public class NormalDensity implements FunctionPlot.Yfx {
  private float iMu=0, iSigma=1;

  /////////////////////////////////////////////////////////////////////////////

  public NormalDensity() {
  }

  /////////////////////////////////////////////////////////////////////////////

  public float getMu() {
    return iMu;
  }

  /////////////////////////////////////////////////////////////////////////////

  public float getSigma() {
    return iSigma;
  }

  /////////////////////////////////////////////////////////////////////////////

  public NormalDensity(float mu, float sigma) {
    iMu = mu; iSigma = sigma;
  }

  /////////////////////////////////////////////////////////////////////////////

  /**
     Implements FunctionPlot.Yfx
  */

  public Point2D f(double x) {
    Point2D.Float p = new Point2D.Float();
    p.x = (float) x;
    p.y = (float) (1/(iSigma*Math.sqrt(2*Math.PI)) * 
		   Math.exp(-(x-iMu)*(x-iMu)/(2*iSigma*iSigma)));
    return p;
  }
}

